Package ghidra.framework.model

# Interface XmlDataReader

public interface XmlDataReader
Defines the method for creating an Object from an XML file in a JarInputStream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addXMLObject(PluginTool tool, String basePath, String relPathName, boolean removeFile, TaskMonitor monitor)`
  Reads the XML file indicated by the base path and relative path name.
  `String`
  `getSummary()`
  Returns a string summarizing the results of the XML data read or `null` if there was nothing to report.

- ## Method Details

  - ### addXMLObject

    boolean addXMLObject(PluginTool tool, String basePath, String relPathName, boolean removeFile, TaskMonitor monitor) throws NotFoundException, SAXException, DuplicateNameException, NotOwnerException, InvalidNameException, IOException
    Reads the XML file indicated by the base path and relative path name. It creates an object(s) from this, that is used by the project.
    Parameters:
      `basePath` - the prefix part of the path for the XML file
      `relPathName` - a pathname for the file relative to the basePath.
      `removeFile` - on success this should remove the original file.
      `monitor` - a monitor for providing progress information to the user.
    Returns:
      true if an object associated with the file was added to the project. false if the file couldn't be processed.
    Throws:
      `SAXException` - if the XML file has a XML parsing error.
      `IOException` - if there is problem reading/removing the XML file or if there is a problem creating any resulting file.
      `NotFoundException` - if a required service can't be found in the service registry.
      `DuplicateNameException`
      `NotOwnerException`
      `InvalidNameException`

  - ### getSummary

    String getSummary()
    Returns a string summarizing the results of the XML data read or `null` if there was nothing to report.
    Returns:
      a string summarizing the results of the xml data read or `null` if there was nothing to report